<?php

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

  Script: Maian Support v1.3
  Written by: David Ian Bennett
  E-Mail: support@maianscriptworld.co.uk
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  
  This File: functions.php
  Description: Admin Functions

  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

//=============================
// Function: runAutoCron
// Closes tickets if enabled
// Added in v1.3
//=============================

function runAutoCron($days)
{
  global $database;
  
  $date = date("Y-m-d", strtotime("-$days days"));
  
  mysql_query("UPDATE ".$database['prefix']."tickets SET
               status           = '0'
               WHERE filterdate <= '$date'
               AND responder    = '0'
               ") or die(mysql_error());
}

//=======================================
// FUNCTION: replyCountData()
// Gets count of replies 
// Added in v1.3
//=======================================

function replyCountData($id)
{
  global $database,$msg_open17;
  
  // Total..
  $q_one = mysql_query("SELECT count(*) AS t_count FROM ".$database['prefix']."replies WHERE ticketid = '$id'") or die(mysql_error());
  $ONE = mysql_fetch_object($q_one);
  
  // By author..
  $q_two = mysql_query("SELECT count(*) AS a_count FROM ".$database['prefix']."replies WHERE ticketid = '$id' AND adminreply = '0'") or die(mysql_error());
  $TWO = mysql_fetch_object($q_two);
  
  // By admin..
  $q_three = mysql_query("SELECT count(*) AS ad_count FROM ".$database['prefix']."replies WHERE ticketid = '$id' AND adminreply = '1'") or die(mysql_error());
  $THREE = mysql_fetch_object($q_three);
  
  $find     = array('{count}','{a_count}','{ad_count}');
  $replace  = array($ONE->t_count,$TWO->a_count,$THREE->ad_count);
  
  return str_replace($find,$replace,$msg_open17);
}

//=======================================
// FUNCTION: priorityLevel()
// Gets priority level
// Added in v1.3
//=======================================

function priorityLevel($level)
{
  global $msg_tplnewticket9,$msg_tplnewticket10,$msg_tplnewticket11;
  
  switch ($level)
  {
    case 1:
    return $msg_tplnewticket9;
    break;

    case 2:
    return $msg_tplnewticket10;
    break;

    case 3:
    return $msg_tplnewticket11;
    break;
  }
}

//=======================================
// FUNCTION: priorityLevelImage()
// Gets priority level
// Added in v1.3
//=======================================

function priorityLevelIMage($level)
{
  global $msg_tplnewticket9,$msg_tplnewticket10,$msg_tplnewticket11;
  
  switch ($level)
  {
    case 1:
    return '<img class="p_image" src="images/p_low.gif" alt="'.$msg_tplnewticket9.'" title="'.$msg_tplnewticket9.'" border="1">';
    break;

    case 2:
    return '<img class="p_image" src="images/p_medium.gif" alt="'.$msg_tplnewticket10.'" title="'.$msg_tplnewticket10.'" border="1">';
    break;

    case 3:
    return '<img class="p_image" src="images/p_high.gif" alt="'.$msg_tplnewticket11.'" title="'.$msg_tplnewticket11.'" border="1">';
    break;
  }
}

//=================================
// FUNCTION: stats()
// Gets stat counts
// Added in v1.3
//=================================

function stats($table='',$where='',$rows=0)
{
  global $database;
  
  if ($table)
  {
    $query = mysql_query("SELECT count(*) AS s_count FROM ".$database['prefix'].$table." 
                          $where 
                          LIMIT 1") or die(mysql_error());
    $row = mysql_fetch_object($query);
  
    return ($rows>0 ? number_format($row->s_count+$rows) : number_format($row->s_count));
  }
}

//=======================================
// FUNCTION: page_numbers()
// Displays page numbers
// Added in v1.3
//=======================================

function page_numbers($count,$limit,$page,$stringVar='page')
{
  global $SETTINGS,$msg_script28,$msg_script29;

  $PaginateIt = new PaginateIt();
  $PaginateIt->SetCurrentPage($page);
  $PaginateIt->SetItemCount($count);
  $PaginateIt->SetItemsPerPage($limit);
  $PaginateIt->SetLinksToDisplay(35);
  $PaginateIt->SetQueryStringVar($stringVar);
  $PaginateIt->SetLinksFormat('&laquo; '.$msg_script28,
                              ' &bull; ',
                              $msg_script29.' &raquo;'
                              );

  return $PaginateIt->GetPageLinks();
}

//=======================================
// FUNCTION: updated()
// Displays message on action success
//=======================================

function updated($message='',$url='',$pleasewait='',$clickhere='',$charset='',$login=false)
{
   if (!REDIRECT_MESSAGE)
   {
     $url = str_replace("&amp;", "&", $url);
     header("Location: $url");
     exit;
   }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset; ?>">
<meta http-equiv="refresh" content="5;URL=<?php echo $url; ?>">
<title><?php echo $pleasewait; ?></title>
<link rel="stylesheet" type="text/css" href="css/css.css">
</head>
<body>
<p align="center">&nbsp;</p>
<p align="center">&nbsp;</p>
<p align="center">&nbsp;</p>
<div align="center">
<table width="400" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF" style="border:1px solid #000000;padding:7px;">
<tr>
    <td>
    <table width="100%" border="0" cellpadding="0" cellspacing="0" align="center">
    <tr>
        <td align="left" valign="top" style="padding-left:20px;" width="90%" height="50">
        &raquo; <b><?php echo $message; ?></b><br><br><br><?php echo $pleasewait; ?><br><br><br>
        [ <a href="<?php echo $url; ?>"><u><?php echo $clickhere; ?></u></a> ]
        </td>
        <td align="center" valign="top" style="padding-right:20px;" width="10%" height="50"><img src="images/<?php echo (!$login ? 'thanks.gif' : 'error.gif'); ?>" alt=""></td>
    </tr>
    </table>
    </td>
</tr>
</table><br>
</div>
</body>
</html>
<?php

exit;

}

//=======================================
// FUNCTION: error()
// Displays message for errors
//=======================================

function error($return,$error,$charset,$error_string=array())
{

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset; ?>">
<title><?php echo $error; ?></title>
<link rel="stylesheet" type="text/css" href="css/css.css">
</head>
<body>
<p align="center">&nbsp;</p>
<p align="center">&nbsp;</p>
<p align="center">&nbsp;</p>
<div align="center">
<table width="500" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF" style="border:1px solid #000000;padding:7px;">
<tr>
    <td>
    <table width="100%" border="0" cellpadding="0" cellspacing="0" align="center">
    <tr>
        <td align="left" valign="top" style="padding-left:20px;" width="90%" height="50">
        &raquo; <b><?php echo $error; ?></b><br><br><br>
        <span class="error">
        <?php
        
        $count = 0;
        
        foreach ($error_string as $show)
        {
             $count++;

             echo "&#8226; ".$show;
             
             if ($count!=count($error_string))
             {
                  echo "<br>\n";
             }
        }
        
        unset($count);

        ?>
        </span>
        <br><br><br>
        <u><a href="javascript:history.go(-1)"><?php echo $return; ?></a></u></td>
        <td align="center" valign="top" style="padding-right:20px;" width="10%" height="50"><img src="images/error.gif" alt=""></td>
    </tr>
    </table>
    </td>
</tr>
</table><br>
</div>
</body>
</html>
<?php

unset($error_string);

exit;

}

//=======================================
// FUNCTION: priority_options()
// Overlib priority options box
//=======================================

function priority_options($id,$current)
{
  global $msg_javascript32,$msg_javascript33,$msg_javascript34,$msg_functions,$msg_javascript30;

  $data = '<form method=\\\'POST\\\' action=\\\'index.php?cmd=viewticket&amp;action=priority\\\'><input type=\\\'hidden\\\' name=\\\'id\\\' value=\\\''.$id.'\\\'><table width=\\\'100%\\\' border=\\\'0\\\' cellpadding=\\\'0\\\' cellspacing=\\\'0\\\' align=\\\'center\\\' style=\\\'border: 1px solid #64798E;\\\'><tr><td style=\\\'padding:15px;background-color:#F4F4F4;\\\' align=\\\'center\\\'>'.$msg_javascript30.':<br><br><select name=\\\'priority\\\'><option value=\\\'1\\\''.($current==1 ? ' selected' : '').'>'.$msg_javascript32.'</option><option value=\\\'2\\\''.($current==2 ? ' selected' : '').'>'.$msg_javascript33.'</option><option value=\\\'3\\\''.($current==3 ? ' selected ' : ' ').'class=\\\'error\\\'>'.$msg_javascript34.'</option></select><br><br><input class=\\\'formbutton\\\' type=\\\'submit\\\' value=\\\''.$msg_functions.'\\\' title=\\\''.$msg_functions.'\\\'></td></tr></table></form>';

  return $data;

}

//=======================================
// FUNCTION: change_email()
// Overlib e-mail box
// Added in v1.2
//=======================================

function change_email($id,$email)
{
  global $msg_viewticket32,$msg_viewticket33;

  $data = '<form method=\\\'POST\\\' action=\\\'index.php?cmd=viewticket&amp;action=email\\\'><input type=\\\'hidden\\\' name=\\\'id\\\' value=\\\''.$id.'\\\'><input type=\\\'hidden\\\' name=\\\'cur_email\\\' value=\\\''.$email.'\\\'><table width=\\\'100%\\\'  border=\\\'0\\\' cellpadding=\\\'0\\\' cellspacing=\\\'0\\\' align=\\\'center\\\' style=\\\'border: 1px solid #64798E;\\\'><tr><td style=\\\'padding:15px;background-color:#F4F4F4;\\\' align=\\\'center\\\'>'.$msg_viewticket32.':<br><br><input type=\\\'text\\\' class=\\\'formbox\\\' style=\\\'width:80%;background-color:#FFFFFF\\\' name=\\\'email\\\' size=\\\'25\\\' value=\\\''.$email.'\\\'><br><br><input class=\\\'formbutton\\\' type=\\\'submit\\\' value=\\\''.$msg_viewticket33.'\\\' title=\\\''.$msg_viewticket33.'\\\'></td></tr></table></form>';

  return $data;

}

//=======================================
// FUNCTION: getDepts()
// Gets departments
// Added in v1.3
//=======================================

function getDepts($current)
{
  global $database;
  $data = '';
  
  $q_depts = mysql_query("SELECT * FROM ".$database['prefix']."departments ORDER BY name") or die(mysql_error());

  while ($DEPTS = mysql_fetch_object($q_depts))
  {
    $data .= '<option value=\\\''.$DEPTS->id.'\\\''.($current==$DEPTS->id ? ' selected' : '').'>'.str_replace("'", "\'", cleanData($DEPTS->name)).'</option>';
  } 
  
  return $data;
}

//=======================================
// FUNCTION: dept_options()
// Overlib department box
//=======================================

function dept_options($id,$current)
{
  global $msg_tplnewticket9,$msg_tplnewticket10,$msg_tplnewticket11,$msg_functions,$msg_javascript31,$database;

  $data = '<form method=\\\'POST\\\' action=\\\'index.php?cmd=viewticket&amp;action=dept\\\'><input type=\\\'hidden\\\' name=\\\'id\\\' value=\\\''.$id.'\\\'><table width=\\\'100%\\\'  border=\\\'0\\\' cellpadding=\\\'0\\\' cellspacing=\\\'0\\\' align=\\\'center\\\' style=\\\'border: 1px solid #64798E;\\\'><tr><td style=\\\'padding:15px;background-color:#F4F4F4;\\\' align=\\\'center\\\'>'.$msg_javascript31.':<br><br><select name=\\\'dept\\\'>'.getDepts($current).'</select><br><br><input class=\\\'formbutton\\\' type=\\\'submit\\\' value=\\\''.$msg_functions.'\\\' title=\\\''.$msg_functions.'\\\'></td></tr></table></form>';

  return $data;

}

//=======================================
// FUNCTION: cleanData()
// Cleans input/output data
// Added in v1.3
//=======================================

function cleanData($data)
{
  return (get_magic_quotes_gpc() ? stripslashes($data) : $data);
}

//=======================================
// FUNCTION: define_newline()
// Defines new line character
// Added in v1.3
//=======================================

function define_newline()
{
  $unewline = "\r\n";

  if (strstr(strtolower($_SERVER["HTTP_USER_AGENT"]), 'win'))
  {
    $unewline = "\r\n";
  }
  else if (strstr(strtolower($_SERVER["HTTP_USER_AGENT"]), 'mac'))
  {
    $unewline = "\r";
  }
  else
  {
    $unewline = "\n";
  }

  return $unewline;
}

?>
