<?php

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

  Script: Maian Support v1.3
  Written by: David Ian Bennett
  E-Mail: support@maianscriptworld.co.uk
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  
  This File: header.php
  Description: Admin Header

  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html dir="rtl">
<head>
<meta http-equiv="content-type" content="text/html; charset=<?php echo $msg_charset; ?>">
<title><?php echo $msg_script . " " . $msg_script2 . " - " . $msg_adheader; ?></title>
<link href="css/css.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../js/overlib.js"><!-- overLIB (c) Erik Bosrup --></script>
<script type="text/javascript" src="js/js_code.js"></script>
<?php
if ($cmd!='login' && !ENABLE_DD_MENU)
{
?>
<link href="css/menu.css" rel="stylesheet" type="text/css">
<script src="js/mmenu.js" type="text/javascript"></script>
<script src="js/menuItems.js.php" type="text/javascript">

/***********************************************
* Omni Slide Menu script -  John Davenport Scheuer: http://home.comcast.net/~jscheuer1/
* very freely adapted from Dynamic-FX Slide-In Menu (v 6.5) script- by maXimus
* This notice MUST stay intact for legal use
* Visit Dynamic Drive at http://www.dynamicdrive.com/ for full original source code
***********************************************/

</script>
<?php
}
?>
</head>

<body>
<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"></div>
<a name="top"></a>
<div align="center">
<table width="760" border="0" cellpadding="0" cellspacing="1" style="border: 1px solid #000000;background-color:#F0F6FF">
<tr>
    <td<?php echo ($cmd!='login' ? ' colspan="2"' : ''); ?>>
    <table width="100%" border="0" cellpadding="0" cellspacing="0" align="center">
    <tr>
        <td align="center" valign="top"><img src="images/logo.gif" alt="<?php echo $msg_script . ' ' . $msg_script2; ?>" title="<?php echo $msg_script . ' ' . $msg_script2; ?>"></td>
    </tr>
    </table>
    </td>
</tr>
<?php
// Which navigation menu are we loading?
if (ENABLE_DD_MENU)
{
?>
<tr>
    <td <?php echo ($cmd=='login' ? 'align="right" class="menutable"' : 'align="right" width="40%" style="border-bottom:1px solid #000000;'); ?>background-color:#164677;color:#FFFFFF;padding:5px">
    <?php

    if ($cmd!='login')
    {
      echo '[<a href="index.php" style="background-color:#164677;color:#FFFFFF" title="'.$msg_adheader11.'"><b>'.$msg_adheader11.'</b></a>] [<a href="index.php?cmd=support" target="_blank" style="background-color:#164677;color:#FFFFFF" title="'.$msg_adheader12.'"><b>'.$msg_adheader12.'</b></a>]';
    }
    else
    {
      echo '[ <b>'.$msg_login2.'</b> ]';
    }
    
    if ($cmd!='login')
    {
    ?>
    </td>
    <td align="right" width="60%" style="<?php echo ($cmd=='login' ? 'border-bottom:1px solid #000000;' : ''); ?>border-bottom:1px solid #000000;background-color:#164677;color:#FFFFFF;padding:5px">
    <?php
    }
    if ($cmd!='login')
    {
    ?>
    <table width="50%" cellpadding="0" cellspacing="0" border="0" style="border: 1px solid #000000">
    <tr>
       <td align="center" style="padding:3px;background-color:#F0F6FF">
    <?php
    echo '<b>'.$msg_adheader13.'</b>: ';
    ?>
    <select onChange="if(this.value!= 0){location=this.options[this.selectedIndex].value}">
    <option value="0"></option>
    <option value="index.php?cmd=settings"<?php echo ($cmd=='settings' ? ' selected' : ''); ?>>- <?php echo $msg_adheader2; ?></option>
    <option value="index.php?cmd=dept"<?php echo ($cmd=='dept' ? ' selected' : ''); ?>>- <?php echo $msg_adheader3; ?></option>
    <option value="index.php?cmd=users"<?php echo ($cmd=='users' ? ' selected' : ''); ?>>- <?php echo $msg_adheader4; ?></option>
    <option value="index.php?cmd=banfilters"<?php echo ($cmd=='banfilters' ? ' selected' : ''); ?>>- <?php echo $msg_banfilter; ?></option>
    <option value="0"></option>
    <option value="index.php?cmd=open"<?php echo ($cmd=='open' ? ' selected' : ''); ?>>- <?php echo $msg_adheader5; ?></option>
    <option value="index.php?cmd=close"<?php echo ($cmd=='close' ? ' selected' : ''); ?>>- <?php echo $msg_adheader6; ?></option>
    <option value="index.php?cmd=search"<?php echo ($cmd=='search' ? ' selected' : ''); ?>>- <?php echo $msg_adheader7; ?></option>
    <option value="0"></option>
    <option value="index.php?cmd=kbase"<?php echo ($cmd=='kbase' ? ' selected' : ''); ?>>- <?php echo $msg_adheader8; ?></option>
    <option value="index.php?cmd=contact"<?php echo ($cmd=='contact' ? ' selected' : ''); ?>>- <?php echo $msg_adheader9; ?></option>
    <option value="0"></option>
    <option value="index.php?cmd=logout"<?php echo ($cmd=='logout' ? ' selected' : ''); ?>>- <?php echo $msg_adheader10; ?></option>
    <option value="0"></option>
    </select></td>
    </tr>
    </table>
    <?php
    }
    else
    {
    ?>
    &nbsp;
    <?php
    }
    ?>
    </td>
</tr>
<?php
}
else
{
?>
<tr>
    <td align="right" class="menutable">
    <?php

    if ($cmd!='login')
    {
      echo '[ <b>'.$msg_script . " " . $msg_script2 . " - " . $msg_adheader.'</b> ]';
    }
    else
    {
      echo '[ <b>'.$msg_login2.'</b> ]';
    }
    
    ?>
    </td>
</tr>
<?php
}
?>
<tr>
    <td colspan="2" style="border-top: 1px solid #164677">
    <table width="100%" border="0" cellpadding="0" cellspacing="0" align="center">
    <tr>
        <!-- LOAD TEMPLATE -->
