<?php

/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++

  Script: Maian Support v1.3
  Written by: David Ian Bennett
  E-Mail: support@maianscriptworld.co.uk
  Website: http://www.maianscriptworld.co.uk

  +++++++++++++++++++++++++++++++++++++++++++++++++++++++

  This File: index.php
  Description: Installation File

  ++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

error_reporting (E_ALL ^ E_NOTICE);

include('../lang/english.php');
include('../inc/db_connection.inc.php');

$step_one    = true;
$step_two    = false;
$step_three  = false;

$whichstep = 'Step One';

$cmd = (isset($_GET['cmd']) ? $_GET['cmd'] : '');

if (!empty($cmd))
{
     switch ($cmd)
     {
          case "stepone":

          $count   = 0;
          $img     = array();
          $table   = array();
          $status  = array();
          
          $whichstep = 'Step Two';

          //Install Table One: Settings =>

          $query_1 = mysql_query("
                     CREATE TABLE ".$database['prefix']."settings (
                     id               int(5) NOT NULL auto_increment,
                     website          varchar(150) NOT NULL default '',
                     email            varchar(250) not null default '',
                     script_path      varchar(250) not null default '',
                     language         varchar(25) NOT NULL default 'english.php',
                     dateformat       varchar(20) NOT NULL default 'D j M Y, G:ia',
                     exampledate      timestamp,
                     kbase            enum('0','1') NOT NULL default '0',
                     attachment       enum('0','1') NOT NULL default '0',
                     auto_zip         enum('0','1') NOT NULL default '0',
                     filetypes        text,
                     maxsize          int(10) NOT NULL default '200',
                     enablelive       enum('0','1') NOT NULL default '0',
                     liverefresh      tinyint(2) NOT NULL default '2',
                     timeout          tinyint(2) NOT NULL default '2',
                     enCaptcha        enum('0','1') NOT NULL default '1',
                     enLiveCaptcha    enum('0','1') NOT NULL default '1',
                     timeOffset       varchar(3) NOT NULL default '0',
                     autoClose        int(5) not null default '0',
                     banFilters       enum('0','1') not null default '0',
                     smtp             enum('0','1') not null default '0',
                     smtp_host        varchar(100) NOT NULL default 'localhost',
                     smtp_user        varchar(100) NOT NULL default '',
                     smtp_pass        varchar(100) NOT NULL default '',
                     smtp_port        varchar(100) NOT NULL default '25',
                     PRIMARY KEY  (id)
                     ) TYPE=MyISAM;
                     ");

          if ($query_1)
          {
               $img[]     = '<img style=""background-color:#F0F6FF;border-color:#64798E;padding:2px" src="images/install_ok.gif" alt="OK" title="OK" border="1">';
               $table[]   = $database['prefix'] . 'settings';
               $status[]  = 'Installed';
          }
          else
          {
               $img[]     = '<img style=""background-color:#F0F6FF;border-color:#64798E;padding:2px;padding:2px" src="images/install_error.gif" alt="Error" title="Error" border="1">';
               $table[]   = $database['prefix'] . 'settings';
               $status[]  = '<span class="error">Error!</span>';
               $count++;
          }

          //Install Table Two: Departments =>

          $query_2 = mysql_query("
                     CREATE TABLE ".$database['prefix']."departments (
                     id               int(5) NOT NULL auto_increment,
                     name             varchar(100) NOT NULL default '',
                     unique (name),
                     PRIMARY KEY  (id)
                     ) TYPE=MyISAM;
                     ");

          if ($query_2)
          {
               $img[]     = '<img style=""background-color:#F0F6FF;border-color:#64798E;padding:2px" src="images/install_ok.gif" alt="OK" title="OK" border="1">';
               $table[]   = $database['prefix'] . 'departments';
               $status[]  = 'Installed';
          }
          else
          {
               $img[]     = '<img style=""background-color:#F0F6FF;border-color:#64798E;padding:2px" src="images/install_error.gif" alt="Error" title="Error" border="1">';
               $table[]   = $database['prefix'] . 'departments';
               $status[]  = '<span class="error">Error!</span>';
               $count++;
          }

          //Install Table Three: Users =>

          $query_3 = mysql_query("
                     CREATE TABLE ".$database['prefix']."users (
                     id               int(5) NOT NULL auto_increment,
                     name             varchar(100) NOT NULL default '',
                     email            varchar(250) NOT NULL default '',
                     accpass          varchar(32) NOT NULL default '',
                     department       int(3) NOT NULL default '0',
                     admintype        char(5) NOT NULL default '',
                     livesupport      enum('0','1') not null default '0',
                     signature        text not null default '',
                     notify           enum('0','1') not null default '0',
                     date             date,
                     PRIMARY KEY  (id)
                     ) TYPE=MyISAM;
                     ");

          if ($query_3)
          {
               $img[]     = '<img style=""background-color:#F0F6FF;border-color:#64798E;padding:2px" src="images/install_ok.gif" alt="OK" title="OK" border="1">';
               $table[]   = $database['prefix'] . 'users';
               $status[]  = 'Installed';
          }
          else
          {
               $img[]     = '<img style=""background-color:#F0F6FF;border-color:#64798E;padding:2px" src="images/install_error.gif" alt="Error" title="Error" border="1">';
               $table[]   = $database['prefix'] . 'users';
               $status[]  = '<span class="error">Error!</span>';
               $count++;
          }

          //Install Table Four: KBase =>

          $query_4 = mysql_query("
                     CREATE TABLE ".$database['prefix']."kbase (
                     id               int(5) NOT NULL auto_increment,
                     question         text,
                     answer           text,
                     department       int(3) NOT NULL default '0',
                     adddate          timestamp,
                     filterdate       date,
                     PRIMARY KEY  (id)
                     ) TYPE=MyISAM;
                     ");

          if ($query_4)
          {
               $img[]     = '<img style=""background-color:#F0F6FF;border-color:#64798E;padding:2px" src="images/install_ok.gif" alt="OK" title="OK" border="1">';
               $table[]   = $database['prefix'] . 'kbase';
               $status[]  = 'Installed';
          }
          else
          {
               $img[]     = '<img style=""background-color:#F0F6FF;border-color:#64798E;padding:2px" src="images/install_error.gif" alt="Error" title="Error" border="1">';
               $table[]   = $database['prefix'] . 'kbase';
               $status[]  = '<span class="error">Error!</span>';
               $count++;
          }

          //Install Table Five: Tickets =>

          $query_5 = mysql_query("
                     CREATE TABLE ".$database['prefix']."tickets (
                     id               int(5) NOT NULL auto_increment,
                     ticketid         char(6) NOT NULL default '',
                     department       varchar(100) NOT NULL default '',
                     deptid           int(3) NOT NULL default '0',
                     name             varchar(150) NOT NULL default '',
                     email            varchar(250) NOT NULL default '',
                     subject          varchar(200) NOT NULL default '',
                     comments         text,
                     priority         enum('1','2','3') NOT NULL default '1',
                     attachstatus     enum('0','1') NOT NULL default '0',
                     attachfile       varchar(200) NOT NULL default '',
                     ticketdate       datetime,
                     postdate         varchar(30) NOT NULL default '',
                     responder        enum('0','1') NOT NULL default '0',
                     filterdate       date,
                     status           enum('0','1') NOT NULL default '0',
                     permaClose       enum('0','1') NOT NULL default '0',
                     created          enum('0','1') NOT NULL default '0',
                     ip               varchar(20) NOT NULL default '',
                     livesupport      enum('0','1') NOT NULL default '0',
                     PRIMARY KEY  (id)
                     ) TYPE=MyISAM;
                     ");

          if ($query_5)
          {
               $img[]     = '<img style=""background-color:#F0F6FF;border-color:#64798E;padding:2px" src="images/install_ok.gif" alt="OK" title="OK" border="1">';
               $table[]   = $database['prefix'] . 'tickets';
               $status[]  = 'Installed';
          }
          else
          {
               $img[]     = '<img style=""background-color:#F0F6FF;border-color:#64798E;padding:2px" src="images/install_error.gif" alt="Error" title="Error" border="1">';
               $table[]   = $database['prefix'] . 'tickets';
               $status[]  = '<span class="error">Error!</span>';
               $count++;
          }
          
          //Install Table Six: Replies =>

          $query_6 = mysql_query("
                     CREATE TABLE ".$database['prefix']."replies (
                     id               int(5) NOT NULL auto_increment,
                     ticketid         char(6) NOT NULL default '',
                     name             varchar(150) NOT NULL default '',
                     comments         text,
                     posttime         datetime,
                     postdate         varchar(30) NOT NULL default '',
                     responsetime     varchar(75) NOT NULL default '',
                     adminreply       enum('0','1') NOT NULL default '0',
                     PRIMARY KEY  (id)
                     ) TYPE=MyISAM;
                     ");

          if ($query_6)
          {
               $img[]     = '<img style=""background-color:#F0F6FF;border-color:#64798E;padding:2px" src="images/install_ok.gif" alt="OK" title="OK" border="1">';
               $table[]   = $database['prefix'] . 'replies';
               $status[]  = 'Installed';
          }
          else
          {
               $img[]     = '<img style=""background-color:#F0F6FF;border-color:#64798E;padding:2px" src="images/install_error.gif" alt="Error" title="Error" border="1">';
               $table[]   = $database['prefix'] . 'replies';
               $status[]  = '<span class="error">Error!</span>';
               $count++;
          }

          //Install Table Seven: banfilters =>
          // Added in v1.3

          $query_7 = mysql_query("CREATE TABLE ".$database['prefix']."banfilters (
                     id         INT(5) NOT NULL auto_increment,
                     ipaddress  MEDIUMTEXT NOT NULL default '',
                     emails     MEDIUMTEXT NOT NULL default '',
                     words      MEDIUMTEXT NOT NULL default '',
                     PRIMARY KEY(id)) TYPE=MyISAM;");

          if ($query_7)
          {
               $img[]     = '<img style=""background-color:#F0F6FF;border-color:#64798E;padding:2px" src="images/install_ok.gif" alt="OK" title="OK" border="1">';
               $table[]   = $database['prefix'] . 'banfilters';
               $status[]  = 'Installed';
          }
          else
          {
               $img[]     = '<img style=""background-color:#F0F6FF;border-color:#64798E;padding:2px" src="images/install_error.gif" alt="Error" title="Error" border="1">';
               $table[]   = $database['prefix'] . 'banfilters';
               $status[]  = '<span class="error">Error!</span>';
               $count++;
          }

          $step_one    = false;
          $step_two    = true;
          $step_three  = false;
          break;

          case "steptwo":
          
          $whichstep = 'Completed';
          
          mysql_query("INSERT INTO ".$database['prefix']."settings (
                       id,
                       website,
                       email,
                       script_path,
                       language,
                       dateformat,
                       exampledate,
                       kbase,
                       attachment,
                       auto_zip,
                       filetypes,
                       maxsize,
                       enablelive,
                       liverefresh,
                       timeout,
                       enCaptcha,
                       enLiveCaptcha,
                       timeOffset,
                       autoClose,
                       banFilters,
                       smtp,
                       smtp_host,
                       smtp_user,
                       smtp_pass,
                       smtp_port
                       ) VALUES (
                       1,
                       'Your Site',
                       'reply@yoursite.com',
                       'http://www.yoursite.com/support',
                       'english.php',
                       'D j M Y, G:ia',
                       now(),
                       '0',
                       '0',
                       '0',
                       '.jpg|.gif|.png|.bmp',
                       '200',
                       '0',
                       '4',
                       '6',
                       '1',
                       '0',
                       '0',
                       '0',
                       '0',
                       '0',
                       'localhost',
                       '',
                       '',
                       '25'
                       )");

          mysql_query("INSERT INTO ".$database['prefix']."users (
                       id,
                       name,
                       email,
                       accpass,
                       department,
                       admintype,
                       livesupport,
                       signature,
                       notify,
                       date
                       ) VALUES (
                       1,
                       'Administrator',
                       'you@yoursite.com',
                       '21232f297a57a5a743894a0e4a801fc3',
                       '0',
                       'admin',
                       '0',
                       '',
                       '1',
                       '".date("Y-m-d")."'
                       )");
                       
          mysql_query("INSERT INTO ".$database['prefix']."banfilters VALUES (1,'','','viagra,medical,pills')") or die(mysql_error());


          $step_one    = false;
          $step_two    = false;
          $step_three  = true;
          break;
     }
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=<?php echo $msg_charset; ?>">
<title><?php echo $msg_script . ' ' . $msg_script2; ?> - Installation</title>
<link href="style.css" rel="stylesheet" type="text/css">
<script type="text/javascript">
function step_one(URL,txt)
{
  var txt;
  alert(txt);
  window.location = URL;
}
</script>
</head>

<body>
<div align="center">
<table width="760" border="0" cellpadding="0" cellspacing="1" class="logotablebg">
<tr>
    <td>
    <table width="100%" border="0" cellpadding="0" cellspacing="0" align="center">
    <tr>
        <td align="center" valign="top"><img src="images/logo.gif" alt="<?php echo $msg_script . ' ' . $msg_script2; ?> - Installation" title="<?php echo $msg_script . ' ' . $msg_script2; ?> - Installation"></td>
    </tr>
    </table>
    </td>
</tr>
<tr>
    <td align="left" class="menutable">[ <b><?php echo $msg_script . ' ' . $msg_script2; ?> - Installation</b> ]</td>
</tr>
<tr>
    <td align="center" style="background-color:#FFFFFF"><br>
    <fieldset>
    <legend><?php echo $whichstep; ?></legend><br>
    <table width="100%" border="0" cellpadding="0" cellspacing="0" align="center">
    <?php
    
    //Installation: Step One =>

    if ($step_one && !$step_two && !$step_three)
    {

    ?>
    <tr>
        <td align="left" valign="top" colspan="2">Welcome to the <?php echo $msg_script . ' ' . $msg_script2; ?> script installation file. This file will set up your database with the required tables and information.<br><br>
        Before you begin make sure you have created a database and specified its connection information in the following file.<br><br><b>inc/db_connection.inc.php</b><br><br>
        If you are unsure of the procedure of how to set up a database, please contact your web hosting company who will be happy to advise you. If you have a server using the CPanel Control Panel, this link may be useful:<br><br>
        <b>- <a href="http://www.cpanel.net/docs/cpanel/" title="CPanel Manual" target="_blank">CPanel Manual</a></b><br><br>
        When you are satisfied that the information you have specified is correct, click the following button to commence setup. Installation will only take a few seconds:
        <p align="center"><br><br><input type="button" class="formbutton" value="INSTALL TABLES &raquo;" title="INSTALL TABLES" onclick="javascript:step_one('index.php?cmd=stepone','If setup terminates for any reason, please revert to manual setup.\n\nSee the docs for more information!')"></p>
        <p>&nbsp;</p></td>
    </tr>
    <?php
    
    }
    
    //Installation: Step Two =>

    if (!$step_one && $step_two && !$step_three)
    {

    ?>
    <tr>
        <td align="left" valign="top" colspan="2">&raquo; <b>Initialising Table Setup....Complete...</b><br><br>&nbsp;&nbsp;&nbsp;Table setup has now completed. Below are the results of step one. If you see no errors, click 'Install Data' to proceed.<br><br><br>
        <table width="100%" align="center" cellpadding="0" cellspacing="0" border="0" style="border: 1px solid #000000;">
        <tr>
            <td height="20" width="5%" style="padding:5px;background-color:#64798E;color:#FFFFFF;border-bottom:1px solid #000000;">&nbsp;</td>
            <td height="20" width="75%" style="padding:5px;background-color:#64798E;color:#FFFFFF;border-bottom:1px solid #000000;">[ <b>TABLE</b> ]</td>
            <td height="20" width="20%" style="padding:5px;background-color:#64798E;color:#FFFFFF;border-bottom:1px solid #000000;">[ <b>STATUS</b> ]</td>
        </tr>
        <?php
        
        //Loop through arrays and display data

        for ($i=0; $i<count($img); $i++)
        {
          
        ?>
        <tr>
            <td align="center" height="20" style="padding:5px;"><?php echo $img[$i]; ?></td>
            <td height="20" style="padding:5px;"><b><?php echo $table[$i]; ?></b></td>
            <td height="20" style="padding:5px;"><?php echo $status[$i]; ?></td>
        </tr>
        <?php
        
        }
        
        ?>
        </table>
        <p align="center"><br><br><?php echo ($count==0 ? '<input type="button" class="formbutton" value="INSTALL DATA &raquo;" title="INSTALL DATA" onclick="parent.location=\'index.php?cmd=steptwo\'">' : '<span style="color:red;font-size:14px;font-weight:bold;">Installation Aborted!</span><br>Don`t panic, this isn`t as bad as it sounds.<br><br>Please revert to manual setup. See docs for more information.'); ?></p>
        <p>&nbsp;</p></td>
    </tr>
    <?php
    
    }
    
    //Installation: Step Three =>

    if (!$step_one && !$step_two && $step_three)
    {

    ?>
    <tr>
        <td align="left" valign="top" colspan="2">
        <table width="100%" cellpadding="0" align="center" cellspacing="0" style="border: 1px solid #000000;">
        <tr>
            <td align="center" style="padding:5px;color: #FFFFFF; font-size: 20px; font-weight: bold;background-color:#64798E;">INSTALLATION COMPLETE!</td>
        </tr>
        </table><br><br>
        Congratulations, you have successfully set up <?php echo $msg_script . ' ' . $msg_script2; ?>. For security reasons it is recommended you delete the <b>/install/</b> directory and all its contents from your server. If you forget, you will see a prompt in your admin area when you log in. This will keep appearing until the directory has been removed.<br><br>
        To complete set up of this script you should do the following:<br><br>
        <b>1. Log in with the info below and change these log in details.<br>2. Configure the script settings and test.<br>3. Add users to system if necessary.</b><br><br>To access your administration area, click the following button. An account has been set up with the following log in details:<br><br>
        <b>E-Mail</b>: you@yoursite.com<br>
        <b>Password</b>: admin
        <p align="center"><br><br><input type="button" class="formbutton" value="ACCESS ADMINISTRATION AREA &raquo;" title="ACCESS ADMINISTRATION AREA" onclick="parent.location='../admin/index.php?cmd=login'"></p>
        <p>&nbsp;</p></td>
    </tr>
    <?php
    
    }
    
    ?>
    </table>
    </fieldset>
    <p>&nbsp;</p>
    </td>
</tr>
</table>
</div>
<p align="center" class="copyright"><b><?php echo $msg_script3; ?></b>: <a href="http://www.maianscriptworld.co.uk/scripts_support.html" title="<?php echo $msg_script." ".$msg_script2; ?>" target="_blank"><?php echo $msg_script." ".$msg_script2; ?></a><br>&copy; <?php echo '2005-'.date("Y"); ?> Maian Script World. <?php echo $msg_script26; ?></p>
</body>
</html>
