<?php

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

  Script: Maian Support v1.3
  Written by: David Ian Bennett
  E-Mail: support@maianscriptworld.co.uk
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  
  This File: print.php
  Description: Printer Friendly Version
  Added in v1.3

  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

//------------------------------------------------------------
//Make sure that this file is being called from parent file
//------------------------------------------------------------

if(!defined('INCLUDE_FILES'))
{
	include(FOLDER_PATH.'index.html');
	exit;
}

include(RELATIVE_PATH.'classes/class_generic.inc.php');

$PREVIEW = new genericOptions();

$query = mysql_query("SELECT * FROM ".$database['prefix']."tickets 
                      WHERE id = '$id' 
                      LIMIT 1
                      ") or die(mysql_error());
$TICKET = mysql_fetch_object($query);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html dir="rtl">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $msg_charset; ?>">
<title><?php echo $msg_script27; ?></title>
<link href="css/css.css" rel="stylesheet" type="text/css">
</head>

<body onload="javascript:window.print()">
<table cellpadding="0" cellspacing="1" width="100%" align="center" style="border: 1px solid #000000;background-color:#FFFFFF;">
<tr>
    <td align="right" height="20" class="menutable" style="border: 1px solid #000000;">&raquo; <b><?php echo strtoupper($msg_script27); ?></b> (#<?php echo $TICKET->ticketid; ?>)</td>
</tr>
<tr>
    <td align="right" style="padding:5px;">
    <table width="100%" cellspacing="0" cellpadding="0" style="border:1px solid #164677">
    <tr>
      <td align="right" style="padding:5px" width="50%">
      <b><?php echo $msg_viewticket6; ?></b>: <?php echo cleanData($TICKET->name); ?><br>
      <b><?php echo $msg_tplmain6; ?></b>: <?php echo $TICKET->email; ?><br>
      <b><?php echo $msg_tplnewticket6; ?></b>: <?php echo cleanData($TICKET->department); ?>
      </td>
      <td align="right" style="padding:5px" width="50%">
      <b><?php echo $msg_viewticket8 ; ?></b>: <?php echo $TICKET->postdate; ?><br>
      <b><?php echo $msg_viewticket7 ; ?></b>: <?php echo $TICKET->ip; ?><br>
      <b><?php echo $msg_tplnewticket8 ; ?></b>: <?php echo ($TICKET->priority==3 ? '<span style="color:red;">'.priorityLevel(3).'</span>' : priorityLevel($TICKET->priority)); ?>
      </td>
    </tr>
    <tr>
        <td align="right" style="padding:5px" colspan="2"><?php echo $PREVIEW->convert_bbcode(nl2br(cleanData($TICKET->comments))); ?></td>
    </tr>    
    </table>
    <?php
        
    $ticket_date = '';

    $q_replies = mysql_query("SELECT * FROM ".$database['prefix']."replies 
                              WHERE ticketid = '".$TICKET->ticketid."' 
                              ORDER BY posttime
                              ") or die(mysql_error());

    while ($REPLY = mysql_fetch_assoc($q_replies))
    {
      switch ($REPLY['adminreply'])
      {
        case 0:
        $bg_color     = '#FFFFFF';
        $ticket_date  = $REPLY['posttime'];
        break;

        case 1:
        $bg_color     = '#F0F6FF';
        $ticket_date  = $REPLY['posttime'];
        break;
      }

    ?>
    <table cellpadding="0" cellspacing="1" width="100%" align="center" style="margin-top:3px;border: 1px solid #164677;background-color: <?php echo $bg_color; ?>;">
    <tr>
        <td style="background-color: <?php echo $bg_color; ?>;padding:5px;" align="right">&raquo; <b><?php echo $msg_viewticket23; ?></b>: <?php echo cleanData($REPLY['name']); ?></td>
    </tr>
    <tr>
        <td style="background-color: <?php echo $bg_color; ?>;padding:5px;" align="right"><?php echo $PREVIEW->convert_bbcode(nl2br(cleanData($REPLY['comments']))); ?></td>
    </tr>
    <tr>
        <td align="right" class="<?php echo ($REPLY['adminreply'] ? 'adminReplyInfoCell' : 'visitorReplyInfoCell'); ?>">
        <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td align="right"><i><?php echo $msg_viewticket24; ?>: <?php echo $REPLY['responsetime']; ?></i></td>
            <td align="left"><i><?php echo $REPLY['postdate']; ?></i></td>
        </tr>
        </table>
        </td>
    </tr>
    </table>
    <?php

    unset ($bg_color);

    }
    
    ?>
    </td>
</tr>
</table>    
<table cellpadding="0" cellspacing="1" width="100%" align="center" style="margin-top:3px;border: 1px solid #000000;background-color:#FFFFFF;">
<tr>
    <td align="center" style="padding:5px">[ <a href="javascript:window.print()" title="<?php echo $msg_script30; ?>"><?php echo $msg_script30; ?></a> ] [ <a href="javascript:self.close()" title="<?php echo $msg_script11; ?>"><?php echo $msg_script11; ?></a> ]</td>
</tr>
</table><br>
</body>
</html>
