<?php

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

  Script: Maian Support v1.3
  Written by: David Ian Bennett
  E-Mail: support@maianscriptworld.co.uk
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  
  This File: settings.php
  Description: Settings

  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

//------------------------------------------------------------
//Make sure that this file is being called from parent file
//------------------------------------------------------------

if(!defined('INCLUDE_FILES')) {
	include(FOLDER_PATH.'index.html');
	exit;
}


?>
        <td align="right" valign="top" style="padding:5px;background-color:#FFFFFF" height="250">
        <form method="POST" action="index.php?cmd=settings&amp;form=update">
        <table border="0" cellpadding="0" cellspacing="0" width="100%" style="border:1px solid #000000">
        <tr>
            <td align="right" style="padding:5px;background-color:#F0F6FF;color:#000000">&raquo; <b><?php echo strtoupper($msg_adheader2); ?></b><br><br><?php echo $msg_settings16; ?></td>
        </tr>
        </table>
        <table cellpadding="4" cellspacing="4" width="100%" align="center" style="margin-top:3px;border:1px solid #164677">
        <tr>
            <td width="25%" align="right"><?php echo $msg_settings6; ?>:</td>
            <td width="75%" align="right"><select name="lang">
            <?php

            //---------------------------------------------------------
            //Read from /lang/ directory and get language files
            //---------------------------------------------------------

            $showlang = opendir(RELATIVE_PATH."lang/");

            while ($read = readdir($showlang))
            {
              if ($read != "." && $read != ".." && $read != "index.html")
              {
                echo "<option".($read == $SETTINGS->language ? " selected" : "").">".$read."</option>\n";
              }
            }

            closedir($showlang);

            ?>
            </select>
            </td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings11; ?>:</td>
            <td align="right"><input class="formbox" type="text" name="website" size="20" maxlength="150" value="<?php echo $SETTINGS->website; ?>"> <i>(<?php echo $msg_settings13; ?>)</i></td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings34; ?>:</td>
            <td align="right"><input class="formbox" type="text" name="email" size="20" maxlength="150" value="<?php echo $SETTINGS->email; ?>"></td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings31; ?>:</td>
            <td align="right"><input class="formbox" type="text" name="path" size="20" value="<?php echo $SETTINGS->script_path; ?>"> [<a href="javascript:void(0);" onclick="return overlib('<?php echo $msg_javascript48; ?>', STICKY, CAPTION,'<?php echo $msg_javascript2; ?>', CENTER);" onmouseout="nd();"><b>?</b></a>]</td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings2; ?>:</td>
            <td align="right"><input class="formbox" type="text" name="date" size="20" maxlength="20" value="<?php echo $SETTINGS->dateformat; ?>"> [<a href="javascript:void(0);" onclick="return overlib('<?php echo $msg_javascript4; ?><br><br><b><a href=\'http://uk.php.net/date\' target=\'_blank\'>http://uk.php.net/date</a></b><br><br><?php echo $msg_javascript5.": ".date($SETTINGS->dateformat, $SETTINGS->prog_date); ?>', STICKY, CAPTION,'<?php echo $msg_javascript2; ?>', CENTER);" onmouseout="nd();"><b>?</b></a>]</td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings22; ?>:</td>
            <td align="right"><input class="smallbox" type="text" name="timeOffset" size="20" maxlength="3" value="<?php echo $SETTINGS->timeOffset; ?>"> [<a href="javascript:void(0);" onclick="return overlib('<?php echo $msg_javascript43; ?>', STICKY, CAPTION,'<?php echo $msg_javascript2; ?>', CENTER);" onmouseout="nd();"><b>?</b></a>]</td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings20; ?>:</td>
            <td align="right"><?php echo $msg_script5; ?> <input type="radio" name="enCaptcha" value="1"<?php echo ($SETTINGS->enCaptcha ? ' checked' : ''); ?>> <?php echo $msg_script6; ?> <input type="radio" name="enCaptcha" value="0"<?php echo (!$SETTINGS->enCaptcha ? ' checked' : ''); ?>> [<a href="javascript:void(0);" onclick="return overlib('<?php echo $msg_javascript44; ?>', STICKY, CAPTION,'<?php echo $msg_javascript2; ?>', CENTER);" onmouseout="nd();"><b>?</b></a>]</td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings23; ?>:</td>
            <td align="right"><input class="smallbox" type="text" name="auto_close" size="20" value="<?php echo $SETTINGS->autoClose; ?>"> <?php echo $msg_settings24; ?> [<a href="javascript:void(0);" onclick="return overlib('<?php echo $msg_javascript46; ?>', STICKY, CAPTION,'<?php echo $msg_javascript2; ?>', CENTER);" onmouseout="nd();"><b>?</b></a>]</td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings25; ?>:</td>
            <td align="right"><?php echo $msg_script5; ?> <input type="radio" name="ban_filters" value="1"<?php echo ($SETTINGS->banFilters ? ' checked' : ''); ?>> <?php echo $msg_script6; ?> <input type="radio" name="ban_filters" value="0"<?php echo (!$SETTINGS->banFilters ? ' checked' : ''); ?>></td>
        </tr>
        <tr>
            <td align="right" colspan="2"><hr width="100%" color="#000000" size="1"></td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings3; ?>:</td>
            <td align="right"><?php echo $msg_script5; ?> <input type="radio" name="attach" value="1"<?php echo ($SETTINGS->attachment ? ' checked' : ''); ?>> <?php echo $msg_script6; ?> <input type="radio" name="attach" value="0"<?php echo (!$SETTINGS->attachment ? ' checked' : ''); ?>> [<a href="javascript:void(0);" onclick="return overlib('<?php echo $msg_javascript6; ?>', STICKY, CAPTION,'<?php echo $msg_javascript2; ?>', CENTER);" onmouseout="nd();"><b>?</b></a>]</td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings4; ?>:</td>
            <td align="right"><input class="formbox" type="text" name="filetypes" size="20" value="<?php echo $SETTINGS->filetypes; ?>"> [<a href="javascript:void(0);" onclick="return overlib('<?php echo $msg_javascript7; ?>', STICKY, CAPTION,'<?php echo $msg_javascript2; ?>', CENTER);" onmouseout="nd();"><b>?</b></a>]</td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings5; ?>:</td>
            <td align="right"><input class="smallbox" type="text" name="maxsize" size="20" maxlength="10" value="<?php echo $SETTINGS->maxsize; ?>"> KB [<a href="javascript:void(0);" onclick="return overlib('<?php echo $msg_javascript8; ?>', STICKY, CAPTION,'<?php echo $msg_javascript2; ?>', CENTER);" onmouseout="nd();"><b>?</b></a>]</td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings33; ?>:</td>
            <td align="right"><?php echo $msg_script5; ?> <input type="radio" name="auto_zip" value="1"<?php echo ($SETTINGS->auto_zip ? ' checked' : ''); ?>> <?php echo $msg_script6; ?> <input type="radio" name="auto_zip" value="0"<?php echo (!$SETTINGS->auto_zip ? ' checked' : ''); ?>> [<a href="javascript:void(0);" onclick="return overlib('<?php echo $msg_javascript9; ?>', STICKY, CAPTION,'<?php echo $msg_javascript2; ?>', CENTER);" onmouseout="nd();"><b>?</b></a>]</td>
        </tr>
        <tr>
            <td align="right" colspan="2"><hr width="100%" color="#000000" size="1"></td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings; ?>:</td>
            <td align="right"><?php echo $msg_script5; ?> <input type="radio" name="kbase" value="1"<?php echo ($SETTINGS->kbase ? ' checked' : ''); ?>> <?php echo $msg_script6; ?> <input type="radio" name="kbase" value="0"<?php echo (!$SETTINGS->kbase ? ' checked' : ''); ?>> [<a href="javascript:void(0);" onclick="return overlib('<?php echo $msg_javascript3; ?>', STICKY, CAPTION,'<?php echo $msg_javascript2; ?>', CENTER);" onmouseout="nd();"><b>?</b></a>]</td>
        </tr>
        <tr>
            <td align="right" colspan="2"><hr width="100%" color="#000000" size="1"></td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings19; ?>:</td>
            <td align="right"><?php echo $msg_script5; ?> <input type="radio" name="enablelive" value="1"<?php echo ($SETTINGS->enablelive ? ' checked' : ''); ?>> <?php echo $msg_script6; ?> <input type="radio" name="enablelive" value="0"<?php echo (!$SETTINGS->enablelive ? ' checked' : ''); ?>></td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings15; ?>:</td>
            <td align="right"><input class="smallbox" type="text" name="liverefresh" size="20" maxlength="2" value="<?php echo $SETTINGS->liverefresh; ?>"> <?php echo $msg_settings14; ?>  [<a href="javascript:void(0);" onclick="return overlib('<?php echo $msg_javascript36; ?>', STICKY, CAPTION,'<?php echo $msg_javascript2; ?>', CENTER);" onmouseout="nd();"><b>?</b></a>]</td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings17; ?>:</td>
            <td align="right"><input class="smallbox" type="text" name="timeout" size="20" maxlength="2" value="<?php echo $SETTINGS->timeout; ?>"> <?php echo $msg_settings18; ?>  [<a href="javascript:void(0);" onclick="return overlib('<?php echo $msg_javascript40; ?>', STICKY, CAPTION,'<?php echo $msg_javascript2; ?>', CENTER);" onmouseout="nd();"><b>?</b></a>]</td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings21; ?>:</td>
            <td align="right"><?php echo $msg_script5; ?> <input type="radio" name="enLiveCaptcha" value="1"<?php echo ($SETTINGS->enLiveCaptcha ? ' checked' : ''); ?>> <?php echo $msg_script6; ?> <input type="radio" name="enLiveCaptcha" value="0"<?php echo (!$SETTINGS->enLiveCaptcha ? ' checked' : ''); ?>> [<a href="javascript:void(0);" onclick="return overlib('<?php echo $msg_javascript45; ?>', STICKY, CAPTION,'<?php echo $msg_javascript2; ?>', CENTER);" onmouseout="nd();"><b>?</b></a>]</td>
        </tr>
        <tr>
            <td align="right" colspan="2"><hr width="100%" color="#000000" size="1"></td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings26; ?>:</td>
            <td align="right"><?php echo $msg_script5; ?> <input type="radio" name="smtp" value="1"<?php echo ($SETTINGS->smtp ? ' checked' : ''); ?>> <?php echo $msg_script6; ?> <input type="radio" name="smtp" value="0"<?php echo (!$SETTINGS->smtp ? ' checked' : ''); ?>></td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings27; ?>:</td>
            <td align="right"><input class="formbox" type="text" name="smtp_host" size="20" value="<?php echo $SETTINGS->smtp_host; ?>"></td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings28; ?>:</td>
            <td align="right"><input class="formbox" type="text" name="smtp_user" size="20" value="<?php echo $SETTINGS->smtp_user; ?>"></td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings29; ?>:</td>
            <td align="right"><input class="formbox" type="text" name="smtp_pass" size="20" value="<?php echo $SETTINGS->smtp_pass; ?>"></td>
        </tr>
        <tr>
            <td align="right"><?php echo $msg_settings30; ?>:</td>
            <td align="right"><input class="smallbox" type="text" name="smtp_port" size="20" value="<?php echo $SETTINGS->smtp_port; ?>"></td>
        </tr>
        <tr>
            <td align="right">&nbsp;</td>
            <td align="right"><input class="formbutton" type="submit" value="<?php echo $msg_settings7; ?>" title="<?php echo $msg_settings7; ?>"></td>
        </tr>
        </table>
        </form>
        <table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin-top:3px;border:1px solid #64798E">
        <tr>
            <td align="right" style="padding:5px;background-color:#F0F6FF" valign="middle">&laquo; <a href="index.php" title="<?php echo $msg_script13; ?>"><?php echo $msg_script13; ?></a></td>
            <td align="left" style="padding:5px;background-color:#F0F6FF" valign="top"><a href="#top"><img src="images/up.gif" alt="<?php echo $msg_script4; ?>" title="<?php echo $msg_script4; ?>" border="0"></a><br><?php echo $msg_script4; ?></td>
        </tr>
        </table>
        </td>
