<?php

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

  Script: Maian Support v1.3
  Written by: David Ian Bennett
  E-Mail: support@maianscriptworld.co.uk
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  
  This File: class_ticket.inc.php
  Description: Ticket Management/Live Support Class

  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/


include('class_generic.inc.php');

class ticket extends genericOptions {
                                     
                                     var $prefix;
                                     var $dept;
                                     var $deptid;
                                     var $name;
                                     var $admin;
                                     var $email;
                                     var $subject;
                                     var $comments;
                                     var $priority;
                                     var $priority2;
                                     var $attachment;
                                     var $filesize;
                                     var $maxsize;
                                     var $filetypes;
                                     var $date;
                                     var $ticketid;
                                     var $zipfile;
                                     var $temp;
                                     var $attstatus;
                                     var $id;
                                     var $close;
                                     var $perm;
                                     var $ts;
                                     var $days;
                                     var $hours;
                                     var $mins;
                                     var $days2;
                                     var $hours2;
                                     var $month;
                                     var $mins2;
                                     var $replyid;
                                     var $signature;
                                     
                                     //======================================
                                     // FUNCTION: renameAttachmentFile()
                                     // Renames attachment file
                                     // Parameters: 2
                                     // Added in v1.3
                                     //======================================
                                     
                                     function renameAttachmentFile($file,$oldfile='')
                                     {
                                       if ($oldfile)
                                       {
                                         if (file_exists('images/attachments/'.$oldfile))
                                         {
                                           @unlink('images/attachments/'.$oldfile); 
                                         }
                                       }
                                       
                                       $name = 'attachment_'.$this->random_data(rand(5,9));
                                       
                                       return ($file ? $name.strrchr(strtolower($file), '.') : '');
                                     }
                                     
                                     //======================================
                                     // FUNCTION: getMergeTicketTime()
                                     // Desc: Gets time of last ticket
                                     // Parameters: 1
                                     // Added in v1.3
                                     //======================================
                                     
                                     function getMergeTicketTime($id)
                                     {
                                       $query = mysql_query("SELECT * FROM ".$this->prefix."replies 
                                                             WHERE ticketid = '$id' 
                                                             ORDER BY id DESC 
                                                             LIMIT 1
                                                             ") or die(mysql_error());
                                       $row = mysql_fetch_object($query);
                                          
                                       if (mysql_num_rows($query)>0)
                                       {
                                         return $row->posttime;
                                       }
                                       else
                                       {
                                         $query = mysql_query("SELECT * FROM ".$this->prefix."tickets 
                                                               WHERE ticketid = '$id' 
                                                               LIMIT 1
                                                               ") or die(mysql_error());
                                         $row = mysql_fetch_object($query);
                                            
                                         return $row->ticketdate;
                                       }
                                     }     
                                     
                                     //====================================================
                                     // FUNCTION: mergeSupportTicket()
                                     // Desc: Merges new ticket to previous ticket
                                     // Parameters: 5
                                     // Added in v1.3
                                     //====================================================
                                     
                                     function mergeSupportTicket($id,$mergeid,$new_attachment,$old_attachment,$lang)
                                     {
                                       // Firstly, take the new ticket and convert it to a reply..
                                       $q_ticket = mysql_query("SELECT * FROM ".$this->prefix."tickets 
                                                                WHERE ticketid = '$id'
                                                                LIMIT 1") or die(mysql_error());
                                       $TICKET = mysql_fetch_object($q_ticket);
                                       
                                       $name      = $this->strip_slashes($TICKET->name);
                                       $comments  = $this->strip_slashes($TICKET->comments);
                                       
                                       mysql_query("INSERT INTO ".$this->prefix."replies (
                                                    ticketid,
                                                    name,
                                                    comments,
                                                    posttime,
                                                    postdate,
                                                    responsetime,
                                                    adminreply
                                                    ) VALUES (
                                                    '$mergeid',
                                                    '".$this->add_slashes($name)."',
                                                    '".$this->add_slashes($comments)."',
                                                    '$TICKET->ticketdate',
                                                    '$TICKET->postdate',
                                                    '$lang',
                                                    '0'
                                                    )") or die(mysql_error());
                                                    
                                       // Now delete new ticket..
                                       mysql_query("DELETE FROM ".$this->prefix."tickets 
                                                    WHERE ticketid = '$id'
                                                    ") or die(mysql_error());
                                       
                                       // Next, convert replies to also be attached to new ticket..
                                       // It may be that a new ticket was started AND a replies were added afterwards
                                       //  in which case we need to attach those too..
                                       
                                       $q_replies = mysql_query("SELECT * FROM ".$this->prefix."replies 
                                                                 WHERE ticketid = '$id'
                                                                 ORDER BY id ASC
                                                                 ") or die(mysql_error());
                                       
                                       if (mysql_num_rows($q_replies)>0)
                                       {
                                         while ($REPLIES = mysql_fetch_object($q_replies))
                                         {
                                           mysql_query("UPDATE ".$this->prefix."replies SET
                                                        ticketid  = '$mergeid'
                                                        WHERE id  = '$REPLIES->id'
                                                        LIMIT 1
                                                        ") or die(mysql_error());
                                         }
                                       }                          
                                                    
                                       // If new attachment is present, delete the old one and update with the new..
                                       if ($new_attachment)
                                       {
                                         if (file_exists(RELATIVE_PATH.'images/attachments/'.$old_attachment))
                                         {
                                           @unlink(RELATIVE_PATH.'images/attachments/'.$old_attachment);
                                         }
                                         
                                         mysql_query("UPDATE ".$this->prefix."tickets SET
                                                      attachfile      = '$new_attachment'
                                                      WHERE ticketid  = '$mergeid'
                                                      LIMIT 1
                                                      ") or die(mysql_error());
                                       }             
                                     }
                                     
                                     //======================================
                                     // FUNCTION: isSupportTicket()
                                     // Desc: Checks if ticket exists
                                     // Parameters: 2
                                     // Added in v1.3
                                     //======================================
                                     
                                     function isSupportTicket($id,$email)
                                     {
                                       $q_ticket = mysql_query("SELECT * FROM ".$this->prefix."tickets 
                                                                WHERE ticketid   = '$id' 
                                                                AND email        = '$email' 
                                                                AND livesupport  = '0' 
                                                                LIMIT 1
                                                                ") or die(mysql_error());
                                       
                                       if (mysql_num_rows($q_ticket)>0)
                                       {
                                         return true;
                                       }
                                       else
                                       {
                                         return false;
                                       }
                                     }
                                     
                                     //======================================
                                     // FUNCTION: getTicket()
                                     // Desc: Gets ticket data
                                     // Parameters: 2
                                     // Added in v1.3
                                     //======================================
                                     
                                     function getTicket($id,$data=false)
                                     {
                                       $query = mysql_query("SELECT * FROM ".$this->prefix."tickets 
                                                             WHERE ticketid = '$id' 
                                                             LIMIT 1
                                                             ") or die(mysql_error());
                                          
                                       if (mysql_num_rows($query)>0)
                                       {
                                         return ($data ? mysql_fetch_object($query) : true);
                                       }
                                       else
                                       {
                                         return false;
                                       }
                                     }

                                     //======================================
                                     // FUNCTION: TICKET_ID()
                                     // Desc: Get unique ticket ID
                                     // Parameters: 0
                                     //======================================
                                     
                                     function ticket_id()
                                     {
                                       $ticket = $this->random_data(6);
                                          
                                       $query = mysql_query("SELECT ticketid FROM ".$this->prefix."tickets 
                                                             WHERE ticketid = '$ticket' 
                                                             LIMIT 1
                                                             ") or die(mysql_error());
                                          
                                       if (mysql_num_rows($query)==0)
                                       {
                                         return $ticket;
                                       }
                                       else
                                       {
                                         $this->ticket_id();
                                       }
                                     }

                                     //======================================
                                     // FUNCTION: CHECK_FILE_SIZE()
                                     // Desc: Check if file size is valid
                                     // Parameters: 0
                                     //======================================

                                     function check_file_size()
                                     {
                                       if (number_format($this->filesize/1024,0)<=$this->maxsize)
                                       {
                                         return true;
                                       }
                                       else
                                       {
                                         return false;
                                       }
                                     }

                                     //======================================
                                     // FUNCTION: CHECK_TYPE()
                                     // Desc: Checks file type is valid
                                     // Parameters: 0
                                     //======================================

                                     function check_type()
                                     {
                                       $types  = explode("|", $this->filetypes);
                                       $ext    = strrchr($this->attachment, '.');

                                       if (in_array($ext, $types))
                                       {
                                         return true;
                                       }
                                       else
                                       {
                                         return false;
                                       }
                                     }

                                     //======================================
                                     // FUNCTION: UPLOAD_FILE()
                                     // Desc: Upload file to directory
                                     // Parameters: 0
                                     //======================================

                                     function upload_file()
                                     {
                                       if (is_writeable('images/attachments'))
                                       {
                                         if (is_uploaded_file($this->temp))
                                         {
                                           move_uploaded_file($this->temp, 'images/attachments/'.$this->attachment);
                                         }
                                         if (file_exists('images/attachments/'.$this->attachment))
                                         {
                                           if (file_exists($this->temp))
                                           {
                                             @unlink($this->temp);
                                           }

                                           return true;
                                         }
                                         else
                                         {
                                           return false;
                                         }
                                       }
                                       else
                                       {
                                         return false;
                                       }
                                     }
                                     
                                     //======================================
                                     // FUNCTION: NEW_TICKET_SQL()
                                     // Desc: Add ticket info to database
                                     // Parameters: 0
                                     //======================================
                                     
                                     function new_ticket_sql()
                                     {
                                       mysql_query("INSERT INTO ".$this->prefix."tickets (
                                                    ticketid,
                                                    department,
                                                    deptid,
                                                    name,
                                                    email,
                                                    subject,
                                                    comments,
                                                    priority,
                                                    attachstatus,
                                                    attachfile,
                                                    ticketdate,
                                                    postdate,
                                                    responder,
                                                    filterdate,
                                                    status,
                                                    created,
                                                    ip,
                                                    livesupport
                                                    ) VALUES (
                                                    '".$this->ticketid."',
                                                    '".$this->add_slashes($this->char_entities($this->dept))."',
                                                    '".$this->deptid."',
                                                    '".$this->add_slashes($this->char_entities($this->name))."',
                                                    '".$this->email."',
                                                    '".$this->add_slashes($this->char_entities($this->subject))."',
                                                    '".$this->add_slashes($this->char_entities($this->comments))."',
                                                    '".$this->priority2."',
                                                    '".$this->attstatus."',
                                                    '".$this->zipfile."',
                                                    now(),
                                                    '".$this->date."',
                                                    '1',
                                                    '".date("Y-m-d")."',
                                                    '1',
                                                    '1',
                                                    '".$_SERVER['REMOTE_ADDR']."',
                                                    '0'
                                                    )") or die(mysql_error());
                                                       
                                       return mysql_insert_id();
                                     }
                                     
                                     //==========================================
                                     // FUNCTION: NEW_LIVE_SUPPORT_TICKET_SQL()
                                     // Desc: Add live ticket info to database
                                     // Parameters: 0
                                     //==========================================
                                     
                                     function new_live_support_ticket_sql()
                                     {
                                       mysql_query("INSERT INTO ".$this->prefix."tickets (
                                                    ticketid,
                                                    department,
                                                    deptid,
                                                    name,
                                                    email,
                                                    subject,
                                                    comments,
                                                    priority,
                                                    attachstatus,
                                                    attachfile,
                                                    ticketdate,
                                                    postdate,
                                                    responder,
                                                    filterdate,
                                                    status,
                                                    created,
                                                    ip,
                                                    livesupport
                                                    ) VALUES (
                                                    '".$this->ticketid."',
                                                    '".$this->add_slashes($this->char_entities($this->dept))."',
                                                    '".$this->deptid."',
                                                    '".$this->add_slashes($this->char_entities($this->name))."',
                                                    '".$this->email."',
                                                    '".$this->add_slashes($this->char_entities($this->subject))."',
                                                    '".$this->add_slashes($this->char_entities($this->comments))."',
                                                    '".$this->priority2."',
                                                    '0',
                                                    '',
                                                    now(),
                                                    '".$this->date."',
                                                    '1',
                                                    '".date("Y-m-d")."',
                                                    '1',
                                                    '1',
                                                    '".$_SERVER['REMOTE_ADDR']."',
                                                    '1'
                                                    )") or die(mysql_error());
                                                       
                                       return mysql_insert_id();                
                                     }
                                     
                                     //============================================
                                     // FUNCTION: GET_RESPONSE()
                                     // Desc: Get response data from db
                                     // Parameters: 0
                                     //============================================
                                     
                                     function get_response()
                                     {
                                       $query = mysql_query("SELECT * FROM ".$this->prefix."replies 
                                                             WHERE ticketid = '".$this->ticketid."' 
                                                             AND adminreply = '1' 
                                                             ORDER BY id DESC 
                                                             LIMIT 1
                                                             ") or die(mysql_error());
                                       
                                       return mysql_fetch_object($query);
                                     }
                                     
                                     //============================================
                                     // FUNCTION: GET_TIMESTAMP()
                                     // Desc: Get timestamp for live support
                                     // Parameters: 1
                                     //============================================
                                     
                                     function get_timestamp($reply=false)
                                     {
                                       if ($reply)
                                       {
                                         $query = mysql_query("SELECT posttime FROM ".$this->prefix."replies 
                                                               WHERE ticketid = '".$this->ticketid."' 
                                                               AND adminreply = '0' 
                                                               ORDER BY id DESC 
                                                               LIMIT 1
                                                               ") or die(mysql_error());
                                         $row = mysql_fetch_object($query);

                                         return $row->posttime;
                                       }
                                       else
                                       {
                                         $query = mysql_query("SELECT ticketdate FROM ".$this->prefix."tickets 
                                                               WHERE ticketid = '".$this->ticketid."' 
                                                               LIMIT 1
                                                               ") or die(mysql_error());
                                         $row = mysql_fetch_object($query);
                                         
                                         return $row->ticketdate;
                                       }
                                     }
                                     
                                     //============================================
                                     // FUNCTION: CHECK_LIVE_RESPONSE()
                                     // Desc: Has admin responded to live support?
                                     // Parameters: 0
                                     //============================================
                                     
                                     function check_live_response()
                                     {
                                       $query = mysql_query("SELECT * FROM ".$this->prefix."replies 
                                                             WHERE ticketid = '".$this->ticketid."' 
                                                             ORDER BY id DESC 
                                                             LIMIT 1
                                                             ") or die(mysql_error());
                                       $row = mysql_fetch_object($query);
                                       
                                       if ($row->adminreply==1)
                                       {
                                         return true;
                                       }
                                       else
                                       {
                                         return false;
                                       }
                                     }

                                     //======================================
                                     // FUNCTION: ADD_ADMIN_REPLY()
                                     // Desc: Add admin ticket reply
                                     // Parameters: 0
                                     //======================================
                                     
                                     function add_admin_reply()
                                     {
                                       $query = mysql_query("INSERT INTO ".$this->prefix."replies (
                                                             ticketid,
                                                             name,
                                                             comments,
                                                             posttime,
                                                             postdate,
                                                             responsetime,
                                                             adminreply
                                                             ) VALUES (
                                                             '".$this->ticketid."',
                                                             '".$this->add_slashes($this->char_entities($this->admin))."',
                                                             '".$this->add_slashes($this->char_entities($this->comments.$this->signature))."',
                                                             now(),
                                                             '".$this->date."',
                                                             '".$this->response_time()."',
                                                             '1'
                                                             )") or die(mysql_error());
                                                             
                                       $id = mysql_insert_id();                      

                                       mysql_query("UPDATE ".$this->prefix."tickets SET
                                                    responder   = '0',
                                                    status      = '".($this->perm ? 0 : ($this->close ? 0 : 1))."',
                                                    permaClose  = '".($this->perm ? 1 : 0)."'
                                                    WHERE id    = '".$this->id."'
                                                    LIMIT 1
                                                    ") or die(mysql_error());
                                                    
                                       return $id;             
                                     }
                                     
                                     //======================================
                                     // FUNCTION: ADD_VISITOR_REPLY()
                                     // Desc: Add visitor ticket reply
                                     // Parameters: 2
                                     //======================================
                                     
                                     function add_visitor_reply($live=false,$ticket='')
                                     {
                                       mysql_query("INSERT INTO ".$this->prefix."replies (
                                                    ticketid,
                                                    name,
                                                    comments,
                                                    posttime,
                                                    postdate,
                                                    responsetime,
                                                    adminreply
                                                    ) VALUES (
                                                    '".($live ? $ticket : $this->ticketid)."',
                                                    '".$this->add_slashes($this->char_entities($this->name))."',
                                                    '".$this->add_slashes($this->char_entities($this->comments))."',
                                                    now(),
                                                    '".$this->date."',
                                                    '".$this->response_time()."',
                                                    '0'
                                                    )") or die(mysql_error());
                                                    
                                       // Update attachment..   
                                       if ($this->zipfile)
                                       {
                                         mysql_query("UPDATE ".$this->prefix."tickets SET
                                                      attachfile      = '".$this->zipfile."',
                                                      attachstatus    = '1'
                                                      WHERE ticketid  = '".$this->ticketid."'
                                                      LIMIT 1
                                                      ") or die(mysql_error());
                                       }          
                                                              
                                       // Update ticket status based on ticket type..
                                       if (!$live)
                                       {
                                         mysql_query("UPDATE ".$this->prefix."tickets SET
                                                      responder   = '1',
                                                      status      = '".($this->close ? 0 : 1)."'
                                                      WHERE id    = '".$this->id."'
                                                      LIMIT 1
                                                      ") or die(mysql_error());
                                       }
                                       else
                                       {
                                         mysql_query("UPDATE ".$this->prefix."tickets SET
                                                      responder       = '1',
                                                      status          = '1'
                                                      WHERE ticketid  = '".$ticket."'
                                                      LIMIT 1
                                                      ") or die(mysql_error());
                                       }
                                     }
                                     
                                     //======================================
                                     // FUNCTION: UPDATE_REPLY()
                                     // Desc: Update reply
                                     // Parameters: 0
                                     //======================================
                                     
                                     function update_reply()
                                     {
                                       mysql_query("UPDATE ".$this->prefix."replies SET
                                                    comments  = '".$this->add_slashes($this->char_entities($this->comments))."'
                                                    WHERE id  = '".$this->replyid."'
                                                    LIMIT 1") or die(mysql_error());

                                       mysql_query("UPDATE ".$this->prefix."tickets SET
                                                    status      = '".($this->close ? 0 : 1)."'
                                                    WHERE id    = '".$this->id."'
                                                    LIMIT 1
                                                    ") or die(mysql_error());
                                     }
                                     
                                     //======================================
                                     // FUNCTION: RESPONSE_TIME()
                                     // Desc: Calculate response time
                                     // Parameters: 1
                                     //======================================

                                     function response_time($live=false)
                                     {
                                       $duration  = strtotime($this->ts);

                                       // Convert timestamp..
                                          
                                       $y = date('Y',$duration);
                                       $m = date('n',$duration);
                                       $d = date('d',$duration);
                                       $h = date('G',$duration);
                                       $i = date('i',$duration);
                                       $s = date('s',$duration);

                                       // Current time..
                                          
                                       $cy = date('Y');
                                       $cm = date('n');
                                       $cd = date('d');
                                       $ch = date('G');
                                       $ci = date('i');
                                       $cs = date('s');
                                          
                                       // Arrays for days..

                                       if($this->is_leap($cy))
                                       {
                                         $marray = array('1'=>31,'2'=>29,'3'=>31,'4'=>30,'5'=>31,'6'=>30,'7'=>31,'8'=>31,'9'=>30,'10'=>31,'11'=>30,'12'=>31);
                                       }
                                       else
                                       {
                                         $marray = array('1'=>31,'2'=>28,'3'=>31,'4'=>30,'5'=>31,'6'=>30,'7'=>31,'8'=>31,'9'=>30,'10'=>31,'11'=>30,'12'=>31);
                                       }
                                          
                                       // Calculation for seconds...

                                       if($cs >= $s)
                                       {
                                         $s = $cs-$s;
                                       }
                                       else
                                       {
                                         $ci--;
                                         $cs = $cs + 60;
                                         $s  = $cs-$s;
                                       }
                                         
                                       // Calculation for minutes..

                                       if($ci >= $i)
                                       {
                                         $i = $ci-$i;
                                       }
                                       else
                                       {
                                         $ch--;
                                         $ci = $ci + 60;
                                         $i  = $ci-$i;
                                       }

                                       // Calculation for hours..

                                       if($ch >= $h)
                                       {
                                         $h = $ch-$h;
                                       }
                                       else
                                       {
                                         $cd--;
                                         $ch = $ch + 24;
                                         $h = $ch-$h;
                                       }
                                          
                                       // Calculation for days..

                                       if($cd >= $d)
                                       {
                                         $d = $cd-$d;
                                       }
                                       else
                                       {
                                         $temp = $marray[$cm];
                                         $cm--;
                                         $cd   = $cd + $temp;
                                         $d    = $cd-$d;
                                       }
                                          
                                       // Calculation for months..

                                       if($cm >= $m)
                                       {
                                         $m = ($cm - $m);
                                       }
                                       else
                                       {
                                         $cy--;
                                         $cm = $cm + 12;
                                         $m  = $cm-$m;
                                       }
                                          
                                       // Calculation for years..

                                       $y = $cy-$y;
                                          
                                       // Now calculate language string based on values..
                                          
                                       $lang_days  = ($d>1 ? $this->days : $this->days2);
                                       $lang_hrs   = ($h>1 ? $this->hours : $this->hours2);
                                       $lang_mins  = ($i>1 ? $this->mins : $this->mins2);
                                          
                                       //------------------------------------------------
                                       // Months, Years and Seconds can also be used
                                       // $m = Months
                                       // $y = Years
                                       // $s = Seconds
                                       //------------------------------------------------
                                          
                                       // Assign output to a string..

                                       if ($m>0 || $y>0)
                                       {
                                         $response_time = '> 1 '.$this->month;
                                       }
                                       else
                                       {
                                         $response_time = ($d ? $d.' '.$lang_days.' ' : '').($h ? $h.' '.$lang_hrs.' ' : '').($i ? $i.' '.$lang_mins : ($h==0 && $d==0 && $i==0 ? '< 1 '.$this->mins2 : ''));
                                       }

                                       // For live support, we need only return the minutes

                                       if ($live)
                                       {
                                         return $i;
                                       }
                                       else
                                       {
                                         return $response_time;
                                       }
                                     }
                                     
                                     //=============================================
                                     // FUNCTION: IS_LEAP()
                                     // Desc: Checks for leap year for date calc
                                     // Param: 1
                                     //=============================================
                                     
                                     function is_leap($y)
                                     {
                                       if($y % 4 == 0 && $y % 100 != 0)
                                       {
                                         return 1;
                                       }
                                       if($y % 100 == 0 && $y % 400 == 0)
                                       {
                                         return 1;
                                       }
                                         
                                       return 0;
                                     }
}

?>
